#122 phone numbers being lost when syncing from pc to mobile

SVN Trunk
closed-out-of-date
nobody
SyncEngine (21)
5
2015-12-17
2007-11-12
phil
No

When syncing from Mobile to PC, the contacts get copied OK. However, the other way round, phone numbers get lost.

The sync-engine shows the following output (just the relevant part):

*********************

2007-11-12 21:31:36,986 DEBUG engine.airsync.AirsyncServer : arrived at rsp_change_node
2007-11-12 21:31:36,988 DEBUG engine.airsync.AirsyncServer : _handle_sync: converting item to airsync, source is
<?xml version="1.0" ?>
<contact>

<Assistant>

<Content/>

</Assistant>

<Categories/>

<FormattedName>

<Content>
Test
</Content>

</FormattedName>

<Manager>

<Content/>

</Manager>

<Name>

<FirstName>
Test
</FirstName>

</Name>

<Organization>

<Name/>

<Department/>

<Unit/>

</Organization>

<Telephone>

<Content>
123
</Content>

</Telephone>

</contact>

############## until here, the phone is OK, but now it gets lost ###################################

2007-11-12 21:31:36,994 DEBUG engine.airsync.AirsyncServer : _handle_sync: converting item to airsync, source is
<?xml version="1.0" ?>
<AS:ApplicationData xmlns:AS="http://synce.org/formats/airsync_wm5/airsync" xmlns:C1="http://synce.org/formats/airsync_wm5/contacts" xmlns:C2="http://synce.org/formats/airsync_wm5/contacts2">
<C1:FileAs>
Test
</C1:FileAs>
<C1:FirstName>
Test
</C1:FirstName>
<C1:LastName/>
<C1:MiddleName/>
<C1:Suffix/>
<C1:Title/>
<C2:NickName/>
<C1:Picture/>
<C1:BusinessCity/>
<C1:BusinessCountry/>
<C1:BusinessPostalCode/>
<C1:BusinessState/>
<C1:BusinessStreet/>
<C1:OtherCity/>
<C1:OtherCountry/>
<C1:OtherPostalCode/>
<C1:OtherState/>
<C1:OtherStreet/>
<C1:Categories/>
<C1:AssistantName/>
<C2:ManagerName/>
<C1:CompanyName/>
<C1:Department/>
<C1:OfficeLocation/>
<C1:Spouse/>
<C1:HomeFaxNumber/>
<C1:BusinessFaxNumber/>
<C1:CarPhoneNumber/>
<C1:MobilePhoneNumber/>
<C1:PagerNumber/>
<C1:AssistnamePhoneNumber/>
<C2:CompanyMainPhone/>
<C1:RadioPhoneNumber/>
<C1:JobTitle/>
<C1:WebPage/>
</AS:ApplicationData>

2007-11-12 21:31:36,997 DEBUG engine.airsync.AirsyncServer : arrived at rsp_responses_node

****************

Discussion

  • Rich Alimi

    Rich Alimi - 2007-11-18

    Logged In: YES
    user_id=816557
    Originator: NO

    What is at the other end of the opensync group (e.g., Evolution, Kontact)? Also, what version of OpenSync do you have? The current conversion from OpenSync format -> AirSync format requires that there be an additional Type associated with each phone number so that we know which phone number type it should be. For example, the expected format is:

    <Telephone>
    <Type>HOME</Type>
    <Content>123</Content>
    </Telephone>

    instead of:

    <Telephone>
    <Content>123</Content>
    </Telephone>

     
  • phil

    phil - 2007-11-19

    Logged In: YES
    user_id=1935756
    Originator: YES

    In order to keep it simple, the other end of the opensync group is file-sync; I experienced the same problems with evolution earlier, but I might give it another try.

    Versions are 0.34 for opensync and msynctool, synCE is SVN trunk as of ~10th November.

    What influence could I take on the Openysnc format as you describe it?

     
  • Rich Alimi

    Rich Alimi - 2007-11-19

    Logged In: YES
    user_id=816557
    Originator: NO

    The last version of OpenSync I had personally used was version 0.22, and it had worked fine with that. It sounds like they have changed the behavior. We use XSLT for format conversions, so this behavior would simply need to be taken into account there. The fix should not be too hard and I will try to look at it when I can, but I'm don't think I can promise a date.

     
  • Mark Ellis

    Mark Ellis - 2008-06-08

    Logged In: YES
    user_id=1799071
    Originator: NO

    Could you please confirm whether this problem still exists ?

     
  • Paul Finnigan

    Paul Finnigan - 2008-10-15

    I suffer from the same problem. I am using Fedora 9 and opensync from the Fedora repositories, together with synce from the same source.

    libopensync.i386 0.36-2.fc9
    libopensync-plugin-synce.noarch 1:0.11.1-1.fc9
    libopensync-plugin-file.i386 0.36-2.fc9

    I have sync'd my PDA with files. Everything looks OK. However when you change something and sync the files back to the PDA then the phone numbers are lost.

    To sync back I just altered a single character in a name in one file. That file was correctly picked up and synced but there are no phone numbers in the PDA.

    NB the only thing I am using are files and my PDA for this sync. It appears that the PDA/libsync-plugin does not understand the Vcards that are produced by the same combination.

     
  • Mark Ellis

    Mark Ellis - 2008-11-28

    Phone numbers are a known problem in opensync 0.3x, and deliberately won't be fixed in synce until this opensync branch stabilises. Unless you are a developer, use opensync 0.2x

     
  • David Eriksson

    David Eriksson - 2015-12-17
    • Status: open --> closed-out-of-date
     

Log in to post a comment.